/*
 * serviceid.h
 * 1:1 mapping between service names (strings) and castable-to-int's.
 * Saves memory, speeds up hashing, and simplifies comparisons.
 *
 * Copyright (C) Leni Mayo 2001-2002
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License, version 2, as
 *	published by the Free Software Foundation.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _SERVICEID_H_
#define _SERVICEID_H_

#include "common.h"
#include <glib.h>

typedef gpointer ServiceId;

extern int  serviceIdInitialise();
extern void serviceIdCleanup();

extern ServiceId serviceIdAdd(const ServiceName name);
extern void      serviceIdRemove(const ServiceId id);
extern ServiceId serviceIdFromName(const ServiceName name);

extern const char * serviceIdAsString(const ServiceId id);
extern const char * serviceIdsAsString(char *buf, int bufsiz);

typedef void (*CallbackServiceId)(const ServiceId id, void *pUserData);

#endif /* _SERVICEID_H_ */

